%define name	cpan2rpm
%define version 2.028
%define release %mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl module packager
Source:		ftp://arix.com/%{name}-%{version}.tar.bz2
Patch:		%{name}-2.022-skip-upgrade-check.patch.bz2
URL:		http://perl.arix.com/cpan2rpm/
License:	GPL
Group:		System/Configuration/Packaging
BuildRequires:	perl-devel
BuildRequires:	perl-libwww-perl
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This script generates an RPM package from a Perl module. It uses the
standard RPM file structure and creates a spec file, a source RPM, and a
binary, leaving these in their respective directories. 

The script can operate on local files, urls and CPAN module names.
Install this package if you want to create RPMs out of Perl modules. 

%prep
%setup -q
%patch

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Thu Mar 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.028-2mdk
- fix buildrequires 

* Tue Sep 06 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.028-1mdk
- New release 2.028

* Mon Jun 06 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.027-1mdk 
- new version

* Thu Jun 03 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.026-1mdk
- 2.026

* Mon Jan 12 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.022-1mdk
- new version
- fix build (slbd)
- don't requires perl-devel

* Tue Aug 19 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.019-2mdk
- requires

* Mon Aug 18 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.019-1mdk
- 2.019

* Mon Aug 18 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.005-4mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- rm -rf %{buildroot} in %%install, not %%prep & %%build
- don't use PREFIX macro
- use %%makeinstall_std macro
- quiet setup

* Fri Apr 25 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.005-3mdk
- fixed buildrequires (Stefan van der Eijk <stefan@eijk.nu>)

* Sun Jan 05 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.005-2mdk
- rebuild

* Fri Dec 13 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.005-1mdk
- first mdk release
